net.sf.jasperreports.data.xml

## Class XmlDataAdapterImpl

- java.lang.Object
- - net.sf.jasperreports.data.AbstractDataAdapter
  - - net.sf.jasperreports.data.xml.XmlDataAdapterImpl

- All Implemented Interfaces:
    DataAdapter, XmlDataAdapter
  Direct Known Subclasses:
    RemoteXmlDataAdapterImpl

      public class XmlDataAdapterImpl
      extends AbstractDataAdapter
      implements XmlDataAdapter

  Version:
    $Id: XmlDataAdapterImpl.java 6026 2013-03-26 11:49:34Z narcism $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XmlDataAdapterImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDatePattern()`
    `java.lang.String` | `getFileName()`
    `java.util.Locale` | `getLocale()`
    `java.lang.String` | `getNumberPattern()`
    `java.lang.String` | `getSelectExpression()`
    `java.util.TimeZone` | `getTimeZone()`
    `boolean` | `isNamespaceAware()`
    `boolean` | `isUseConnection()`
    `void` | `setDatePattern(java.lang.String datePattern)`
    `void` | `setFileName(java.lang.String fileName)`
    `void` | `setLocale(java.util.Locale locale)`
    `void` | `setNamespaceAware(boolean namespaceAware)`
    `void` | `setNumberPattern(java.lang.String numberPattern)`
    `void` | `setSelectExpression(java.lang.String selectExpression)`
    `void` | `setTimeZone(java.util.TimeZone timeZone)`
    `void` | `setUseConnection(boolean useConnection)`

    - ### Methods inherited from class net.sf.jasperreports.data.AbstractDataAdapter

      `getName, setName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.data.DataAdapter

      `getName, setName`

- - ### Constructor Detail

    - #### XmlDataAdapterImpl

          public XmlDataAdapterImpl()

  - ### Method Detail

    - #### getFileName

          public java.lang.String getFileName()

      Specified by:
        `getFileName` in interface `XmlDataAdapter`

    - #### setFileName

          public void setFileName(java.lang.String fileName)

      Specified by:
        `setFileName` in interface `XmlDataAdapter`

    - #### getSelectExpression

          public java.lang.String getSelectExpression()

      Specified by:
        `getSelectExpression` in interface `XmlDataAdapter`

    - #### setSelectExpression

          public void setSelectExpression(java.lang.String selectExpression)

      Specified by:
        `setSelectExpression` in interface `XmlDataAdapter`

    - #### getLocale

          public java.util.Locale getLocale()

      Specified by:
        `getLocale` in interface `XmlDataAdapter`

    - #### setLocale

          public void setLocale(java.util.Locale locale)

      Specified by:
        `setLocale` in interface `XmlDataAdapter`

    - #### getDatePattern

          public java.lang.String getDatePattern()

      Specified by:
        `getDatePattern` in interface `XmlDataAdapter`

    - #### setDatePattern

          public void setDatePattern(java.lang.String datePattern)

      Specified by:
        `setDatePattern` in interface `XmlDataAdapter`

    - #### getNumberPattern

          public java.lang.String getNumberPattern()

      Specified by:
        `getNumberPattern` in interface `XmlDataAdapter`

    - #### setNumberPattern

          public void setNumberPattern(java.lang.String numberPattern)

      Specified by:
        `setNumberPattern` in interface `XmlDataAdapter`

    - #### getTimeZone

          public java.util.TimeZone getTimeZone()

      Specified by:
        `getTimeZone` in interface `XmlDataAdapter`

    - #### setTimeZone

          public void setTimeZone(java.util.TimeZone timeZone)

      Specified by:
        `setTimeZone` in interface `XmlDataAdapter`

    - #### isUseConnection

          public boolean isUseConnection()

      Specified by:
        `isUseConnection` in interface `XmlDataAdapter`

    - #### setUseConnection

          public void setUseConnection(boolean useConnection)

      Specified by:
        `setUseConnection` in interface `XmlDataAdapter`

    - #### isNamespaceAware

          public boolean isNamespaceAware()

      Specified by:
        `isNamespaceAware` in interface `XmlDataAdapter`

    - #### setNamespaceAware

          public void setNamespaceAware(boolean namespaceAware)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com